Bug 1688563 - Review Request: python-verboselogs - Verbose logging level for Python's logging module
Summary: Review Request: python-verboselogs - Verbose logging level for Python's loggi...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robert-André Mauchin
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1691542
TreeView+ depends on / blocked
 
Reported: 2019-03-14 00:22 UTC by Scott K Logan
Modified: 2019-04-19 16:58 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-04-01 00:01:04 UTC
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Scott K Logan 2019-03-14 00:22:00 UTC
Spec URL: https://cottsay.fedorapeople.org/python-verboselogs/python-verboselogs.spec
SRPM URL: https://cottsay.fedorapeople.org/python-verboselogs/python-verboselogs-1.7-4.fc31.src.rpm

Description:
The verboselogs package extends Python's logging module to add the log levels
NOTICE, SPAM, SUCCESS and VERBOSE:

- The NOTICE level sits between the predefined WARNING and INFO levels.
- The SPAM level sits between the predefined DEBUG and NOTSET levels.
- The SUCCESS level sits between the predefined WARNING and ERROR levels.
- The VERBOSE level sits between the predefined INFO and DEBUG levels.

The code to do this is simple and short, but I still don't want to copy/paste it
to every project I'm working on, hence this package.

Fedora Account System Username: cottsay

Koji scratch build: https://koji.fedoraproject.org/koji/taskinfo?taskID=33464618

rpmlint output:
3 packages and 1 specfiles checked; 0 errors, 0 warnings.

Notes:
- Two patches have been added, one for Fedora's newer astroid version, and the other for EPEL 7's older sphinx version. Neither patch changes the product itself, and neither have been submitted upstream.

Comment 1 Robert-André Mauchin 2019-03-18 14:58:31 UTC
Package approved.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Unknown or generated", "Expat License". 19 files have unknown
     license. Detailed output of licensecheck in
     /home/bob/packaging/review/python-verboselogs/review-python-
     verboselogs/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 1 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Packages MUST NOT have dependencies (either build-time or runtime) on
     packages named with the unversioned python- prefix unless no properly
     versioned package exists. Dependencies on Python packages instead MUST
     use names beginning with python2- or python3- as appropriate.
[x]: Python packages must not contain %{pythonX_site(lib|arch)}/* in %files
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-verboselogs
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-verboselogs-doc-1.7-4.fc31.noarch.rpm
          python3-verboselogs-1.7-4.fc31.noarch.rpm
          python-verboselogs-1.7-4.fc31.src.rpm
3 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 2 Gwyn Ciesla 2019-03-18 18:16:58 UTC
(fedscm-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/python-verboselogs

Comment 3 Fedora Update System 2019-03-26 20:15:13 UTC
python-coloredlogs-10.0-7.fc30 python-verboselogs-1.7-4.fc30 python-humanfriendly-4.18-1.fc30 python-capturer-2.4-5.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-5d7567504e

Comment 4 Fedora Update System 2019-03-26 20:15:24 UTC
python-coloredlogs-10.0-7.fc29 python-verboselogs-1.7-4.fc29 python-humanfriendly-4.18-1.fc29 python-capturer-2.4-5.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-da8f989bf2

Comment 5 Fedora Update System 2019-03-26 20:15:35 UTC
python-coloredlogs-10.0-7.fc28 python-verboselogs-1.7-4.fc28 python-humanfriendly-4.18-1.fc28 python-capturer-2.4-5.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbcc4ceb0c

Comment 6 Fedora Update System 2019-03-27 00:45:41 UTC
python-capturer-2.4-5.fc30, python-coloredlogs-10.0-7.fc30, python-humanfriendly-4.18-1.fc30, python-verboselogs-1.7-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-5d7567504e

Comment 7 Fedora Update System 2019-03-27 04:11:59 UTC
python-capturer-2.4-5.fc28, python-coloredlogs-10.0-7.fc28, python-humanfriendly-4.18-1.fc28, python-verboselogs-1.7-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-bbcc4ceb0c

Comment 8 Fedora Update System 2019-03-27 04:34:56 UTC
python-capturer-2.4-5.fc29, python-coloredlogs-10.0-7.fc29, python-humanfriendly-4.18-1.fc29, python-verboselogs-1.7-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-da8f989bf2

Comment 9 Fedora Update System 2019-04-01 00:01:04 UTC
python-capturer-2.4-5.fc30, python-coloredlogs-10.0-7.fc30, python-humanfriendly-4.18-1.fc30, python-verboselogs-1.7-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2019-04-03 20:31:16 UTC
python-coloredlogs-10.0-7.el7 python-verboselogs-1.7-4.el7 python-humanfriendly-4.18-1.el7 python-capturer-2.4-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5f2da447a2

Comment 11 Fedora Update System 2019-04-04 02:26:25 UTC
python-capturer-2.4-5.fc28, python-coloredlogs-10.0-7.fc28, python-humanfriendly-4.18-1.fc28, python-verboselogs-1.7-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2019-04-04 03:11:12 UTC
python-capturer-2.4-5.fc29, python-coloredlogs-10.0-7.fc29, python-humanfriendly-4.18-1.fc29, python-verboselogs-1.7-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2019-04-04 04:49:22 UTC
python-capturer-2.4-5.el7, python-coloredlogs-10.0-7.el7, python-humanfriendly-4.18-1.el7, python-verboselogs-1.7-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-5f2da447a2

Comment 14 Fedora Update System 2019-04-19 16:58:12 UTC
python-capturer-2.4-5.el7, python-coloredlogs-10.0-7.el7, python-humanfriendly-4.18-1.el7, python-verboselogs-1.7-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.